Subject: bug#72359: closed (Re: bug#72359: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Aug 2024 12:09:02 +0000

Your bug report

#72359: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72359: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72359
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72359: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6
From: Eli Zaretskii <[email-masked]>
To: Yuan Fu <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 Aug 2024 15:07:11 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Tue, 27 Aug 2024 01:22:42 -0700
> 
> Thank you for your report, Gonzalo! And sorry for the delay. I properly looked into this today, and confirmed that this is a tree-sitter bug. I raised an issue here: https://github.com/tree-sitter/tree-sitter/issues/3555
> 
> Sadly, there’s not much we can do right now. There was another similar bug in tree-sitter, which I worked around by using another function. But now that “another function” is also broken, oh well :-(

Since this is not an Emacs bug, I'm closing it.

Subject: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6
From: Gonzalo Larumbe <[email-masked]>
To: [email-masked]
Date: Tue, 30 Jul 2024 00:17:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

After updating tree-sitter on Arch Linux from 0.22.1 to 0.22.6 there seems
to be an error with the detection of some comment nodes under
`vhdl-ts-mode`.

In the attached VHDL file, if placing the cursor at the comment of line 10,
running:
`(treesit-node-at (point) 'vhdl)` returns `#<treesit-node block_header in
329-358>`. However, the side by side view shows that the parser correctly
detects a comment (see attached screenshot). This worked well with the
previous tree-sitter version.

Thanks a lot!

Gonzalo